Submit signed EVM UserOperation(s)
curl --request POST \
--url https://api-partner.houdiniswap.com/v2/exchanges/multi/{multiId}/tx \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"signatures": [
"<string>"
]
}
'import requests
url = "https://api-partner.houdiniswap.com/v2/exchanges/multi/{multiId}/tx"
payload = { "signatures": ["<string>"] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({signatures: ['<string>']})
};
fetch('https://api-partner.houdiniswap.com/v2/exchanges/multi/{multiId}/tx', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userOpHashes": [
"<string>"
]
}{
"message": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"message": "<string>",
"code": "<string>",
"fields": {},
"requestId": "<string>"
}{
"message": "<string>",
"code": "<string>",
"requestId": "<string>"
}Exchanges
Submit signed EVM UserOperation(s)
Submit signed EVM UserOperation(s) to the bundler. Pass one signature per batch in the same order as returned by POST multi//tx/build. Most multi-swaps produce a single batch, so typically only one signature is needed.
POST
/
exchanges
/
multi
/
{multiId}
/
tx
Submit signed EVM UserOperation(s)
Authorizations
Path Parameters
Body
application/json
One signature per batch, in the same order as the build response transactions array
Response
UserOperation(s) submitted
ERC-4337 UserOperation hash(es) returned by the bundler — one per batch
⌘I